// Copyright 2015 by Artem Prilutskiy

#ifndef PATCHCORDPROXY_H
#define PATCHCORDPROXY_H

#include <stdint.h>
#include <dbus/dbus.h>

class PatchCordProxy
{
  public:

    PatchCordProxy(uint32_t network, uint32_t link);
    ~PatchCordProxy();

    void setTalkerID(uint32_t value);
    void setTalkerAlias(const char* value);
    uint32_t getTalkerID();

  private:

    DBusConnection* connection;
    char* name;

    uint32_t number;
    char* banner;

    void getContextBanner();
    void setSpecificValue(uint32_t key, uint32_t value);
    uint32_t getSpecificValue(uint32_t key);

};

#endif